#include<bits/stdc++.h>
#define endl '\n'
using namespace std;
void speed()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
}
const int maxn=1e6+10;
long long n,a[maxn],b[maxn],p[maxn];
void read()
{
    cin>>n;
    for(long long i=1;i<=n;i++)
    {
        cin>>a[i]>>b[i];
    }
    for(long long i=1;i<=n;i++)
    {
        cin>>p[i];
    }
}
int main()
{
    speed();
    read();
    long long ans=-1e18;
    /*
    dp[1][0]=a[1];
    dp[1][1]=a[1];
    for(long long i=2;i<=n;i++)
    {
        for(long long j=0;j<i;j++)
        {
            dp[i][j]=dp[i-1][j];
            dp[i][j]+=a[i]+b[i]*j;
            dp[i][j]=max(dp[i][j-1],dp[i][j]);
        }
        dp[i][i]=dp[i][i-1];
        ans=max(ans,dp[i][i-1]);
    }
    cout<<ans<<endl;
    */
    long long sum=0;
    for(int i=1;i<=n;i++)
    {
        sum+=a[i]+b[i]*(i-1);
        ans=max(ans,sum);
    }
    cout<<ans<<endl;
    return 0;
}

